/*
 * 
 * Backpack - Skyscanner's Design System
 * 
 * Copyright 2016-2021 Skyscanner Ltd
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * 
 */

module.exports = {
  animationDurationBase: 400,
  animationDurationSm: 200,
  animationDurationXs: 50,
  backgroundAlternativeDarkColor: "rgb(0, 0, 0)",
  backgroundAlternativeLightColor: "rgb(241, 242, 248)",
  backgroundAlternativeSecondaryDarkColor: "rgb(29, 27, 32)",
  backgroundAlternativeSecondaryLightColor: "rgb(255, 255, 255)",
  backgroundDarkColor: "rgb(0, 0, 0)",
  backgroundElevation01DarkColor: "rgb(29, 27, 32)",
  backgroundElevation01LightColor: "rgb(255, 255, 255)",
  backgroundElevation02DarkColor: "rgb(44, 44, 46)",
  backgroundElevation02LightColor: "rgb(255, 255, 255)",
  backgroundElevation03DarkColor: "rgb(58, 58, 60)",
  backgroundElevation03LightColor: "rgb(255, 255, 255)",
  backgroundLightColor: "rgb(255, 255, 255)",
  backgroundSecondaryDarkColor: "rgb(29, 27, 32)",
  backgroundSecondaryLightColor: "rgb(241, 242, 248)",
  backgroundTertiaryDarkColor: "rgb(44, 44, 46)",
  backgroundTertiaryLightColor: "rgb(255, 255, 255)",
  borderRadiusLg: 24,
  borderRadiusMd: 12,
  borderRadiusPill: 40,
  borderRadiusSm: 8,
  borderRadiusXs: 4,
  borderSizeLg: 2,
  borderSizeSm: 1,
  borderSizeXl: 3,
  borderWidthLg: 2,
  borderWidthSm: 1,
  borderWidthXl: 3,
  buttonBorderWidth: 2,
  buttonHeight: 32,
  buttonLineHeightLarge: 4 * 12,
  buttonPaddingHorizontal: 4 * 3,
  buttonPaddingVertical: 8,
  canvasContrastDay: "rgb(241, 242, 248)",
  canvasContrastNight: "rgb(44, 44, 46)",
  canvasDay: "rgb(255, 255, 255)",
  canvasNight: "rgb(0, 0, 0)",
  carouselIndicatorDotSizeBase: 6,
  carouselIndicatorDotSizeMd: 4,
  carouselIndicatorDotSizeSm: 2,
  colorAbisko: "rgb(90, 72, 155)",
  colorAmberSpot: "rgb(255, 148, 0)",
  colorBagan: "rgb(255, 235, 208)",
  colorBerry: "rgb(209, 67, 91)",
  colorBlack: "rgb(0, 0, 0)",
  colorBlackAlpha20: "rgb(178, 178, 191)",
  colorBlackAlpha70: "rgb(2, 18, 44)",
  colorBlackTint01: "rgb(29, 27, 32)",
  colorBlackTint02: "rgb(44, 44, 46)",
  colorBlackTint03: "rgb(58, 58, 60)",
  colorBlackTint04: "rgb(72, 72, 74)",
  colorBlackTint05: "rgb(99, 99, 102)",
  colorBlackTint06: "rgb(142, 142, 147)",
  colorBlueBright: "rgb(161, 238, 255)",
  colorBlueMuted: "rgb(217, 248, 255)",
  colorBunol: "rgb(255, 123, 89)",
  colorCharcoal: "rgb(17, 18, 54)",
  colorDarkSky: "rgb(2, 18, 44)",
  colorEcoGreen: "rgb(15, 161, 169)",
  colorErfoud: "rgb(255, 181, 77)",
  colorGlencoe: "rgb(115, 206, 198)",
  colorGreenBright: "rgb(147, 255, 222)",
  colorGreenMuted: "rgb(208, 238, 236)",
  colorGreenSpot: "rgb(0, 166, 152)",
  colorGrey10: "rgb(241, 242, 248)",
  colorGrey20: "rgb(221, 221, 229)",
  colorGrey30: "rgb(205, 205, 215)",
  colorGrey40: "rgb(104, 105, 127)",
  colorHarbour: "rgb(246, 221, 225)",
  colorHillier: "rgb(225, 139, 150)",
  colorKolkata: "rgb(255, 148, 0)",
  colorMonteverde: "rgb(0, 166, 152)",
  colorNara: "rgb(255, 231, 224)",
  colorNightBerry: "rgb(209, 67, 91)",
  colorNightBlue: "rgb(109, 159, 235)",
  colorNightGreenFill: "rgb(177, 255, 231)",
  colorNightGreenSpot: "rgb(0, 166, 152)",
  colorNightGrey10: "rgb(0, 0, 0)",
  colorNightGrey20: "rgb(44, 44, 46)",
  colorNightGrey25: "rgb(27, 40, 57)",
  colorNightGrey30: "rgb(72, 72, 74)",
  colorNightGrey40: "rgb(142, 142, 147)",
  colorNightPink: "rgb(255, 202, 221)",
  colorNightSky: "rgb(5, 65, 132)",
  colorNightYellowFill: "rgb(251, 241, 187)",
  colorNightYellowSpot: "rgb(255, 181, 77)",
  colorOrange: "rgb(255, 123, 89)",
  colorPanjin: "rgb(209, 67, 91)",
  colorPetra: "rgb(255, 171, 149)",
  colorPink: "rgb(255, 163, 229)",
  colorPinkMuted: "rgb(246, 221, 225)",
  colorPrimaryGradientLight: "rgb(7, 112, 227)",
  colorPurple: "rgb(142, 71, 186)",
  colorSagano: "rgb(208, 238, 236)",
  colorSkyBlue: "rgb(7, 112, 227)",
  colorSkyBlueShade01: "rgb(8, 78, 178)",
  colorSkyBlueShade02: "rgb(4, 39, 89)",
  colorSkyBlueShade03: "rgb(2, 18, 44)",
  colorSkyBlueTint01: "rgb(109, 159, 235)",
  colorSkyBlueTint02: "rgb(157, 192, 242)",
  colorSkyBlueTint03: "rgb(205, 223, 248)",
  colorSkyGray: "rgb(17, 18, 54)",
  colorSkyGrayTint01: "rgb(68, 69, 96)",
  colorSkyGrayTint02: "rgb(104, 105, 127)",
  colorSkyGrayTint03: "rgb(143, 144, 160)",
  colorSkyGrayTint04: "rgb(178, 178, 191)",
  colorSkyGrayTint05: "rgb(205, 205, 215)",
  colorSkyGrayTint06: "rgb(221, 221, 229)",
  colorSkyGrayTint07: "rgb(241, 242, 248)",
  colorSystemGreen: "rgb(0, 166, 152)",
  colorSystemRed: "rgb(209, 67, 91)",
  colorTochigi: "rgb(225, 221, 236)",
  colorValensole: "rgb(165, 155, 200)",
  colorWhite: "rgb(255, 255, 255)",
  colorWhiteAlpha20: "rgb(142, 142, 147)",
  colorWhiteAlpha80: "rgb(142, 142, 147)",
  colorYellow: "rgb(254, 235, 135)",
  colorYellowMuted: "rgb(255, 235, 208)",
  coreAccentDay: "rgb(7, 112, 227)",
  coreAccentNight: "rgb(109, 159, 235)",
  coreEcoDay: "rgb(15, 161, 169)",
  coreEcoNight: "rgb(15, 161, 169)",
  corePrimaryDay: "rgb(2, 18, 44)",
  corePrimaryNight: "rgb(5, 65, 132)",
  cornerRadiusLg: 24,
  cornerRadiusMd: 12,
  cornerRadiusPill: 40,
  cornerRadiusSm: 8,
  cornerRadiusXs: 4,
  fontFamily: "System",
  fontSizeBase: 16,
  fontSizeCaps: 10,
  fontSizeLg: 20,
  fontSizeSm: 14,
  fontSizeXl: 24,
  fontSizeXs: 12,
  fontSizeXxl: 30,
  fontSizeXxxl: 36,
  letterSpacingBase: 0.12,
  letterSpacingCaps: 0.28,
  letterSpacingLg: null,
  letterSpacingSm: 0.154,
  letterSpacingXl: null,
  letterSpacingXs: 0,
  letterSpacingXxl: null,
  letterSpacingXxxl: null,
  lineDarkColor: "rgb(72, 72, 74)",
  lineDay: "rgb(205, 205, 215)",
  lineHeightBase: 19,
  lineHeightLg: 24,
  lineHeightSm: 17,
  lineHeightXl: 29,
  lineHeightXs: 14,
  lineHeightXxl: 43,
  lineLightColor: "rgb(205, 205, 215)",
  lineNight: "rgb(72, 72, 74)",
  primaryDarkColor: "rgb(109, 159, 235)",
  primaryLightColor: "rgb(7, 112, 227)",
  scrimDay: "rgb(2, 18, 44)",
  scrimNight: "rgb(2, 18, 44)",
  shadowLgColor: "rgb(17, 18, 54)",
  shadowLgOffsetHeight: 4,
  shadowLgOffsetWidth: 0,
  shadowLgOpacity: 0.15,
  shadowLgRadius: 16,
  shadowSmColor: "rgb(17, 18, 54)",
  shadowSmOffsetHeight: 1,
  shadowSmOffsetWidth: 0,
  shadowSmOpacity: 0.15,
  shadowSmRadius: 3,
  spacingBase: 16,
  spacingIconText: 8,
  spacingLg: 24,
  spacingMd: 8,
  spacingNone: 0,
  spacingSm: 4,
  spacingXl: 32,
  spacingXxl: 40,
  statusDangerFillDay: "rgb(246, 221, 225)",
  statusDangerFillNight: "rgb(255, 202, 221)",
  statusDangerSpotDay: "rgb(209, 67, 91)",
  statusDangerSpotNight: "rgb(209, 67, 91)",
  statusSuccessFillDay: "rgb(208, 238, 236)",
  statusSuccessFillNight: "rgb(177, 255, 231)",
  statusSuccessSpotDay: "rgb(0, 166, 152)",
  statusSuccessSpotNight: "rgb(0, 166, 152)",
  statusWarningFillDay: "rgb(255, 235, 208)",
  statusWarningFillNight: "rgb(251, 241, 187)",
  statusWarningSpotDay: "rgb(255, 148, 0)",
  statusWarningSpotNight: "rgb(255, 181, 77)",
  surfaceContrastDay: "rgb(2, 18, 44)",
  surfaceContrastNight: "rgb(44, 44, 46)",
  surfaceDefaultDay: "rgb(255, 255, 255)",
  surfaceDefaultNight: "rgb(44, 44, 46)",
  surfaceElevatedDay: "rgb(255, 255, 255)",
  surfaceElevatedNight: "rgb(27, 40, 57)",
  surfaceHighlightDay: "rgb(221, 221, 229)",
  surfaceHighlightNight: "rgb(177, 255, 231)",
  textBaseFontSize: 16,
  textBaseFontWeight: "400",
  textBaseLetterSpacing: 0.12,
  textCapsFontSize: 10,
  textCapsFontWeight: "400",
  textCapsLetterSpacing: 0.28,
  textDisabledDay: "rgb(178, 178, 191)",
  textDisabledNight: "rgb(142, 142, 147)",
  textEmphasizedFontWeight: "700",
  textErrorDay: "rgb(209, 67, 91)",
  textErrorNight: "rgb(209, 67, 91)",
  textHeavyFontWeight: "800",
  textLgFontSize: 20,
  textLgFontWeight: "400",
  textLgLetterSpacing: null,
  textLinkDay: "rgb(7, 112, 227)",
  textLinkNight: "rgb(109, 159, 235)",
  textPrimaryDarkColor: "rgb(255, 255, 255)",
  textPrimaryDay: "rgb(17, 18, 54)",
  textPrimaryLightColor: "rgb(17, 18, 54)",
  textPrimaryNight: "rgb(255, 255, 255)",
  textPrimaryOnContrastDay: "rgb(255, 255, 255)",
  textPrimaryOnContrastNight: "rgb(255, 255, 255)",
  textQuaternaryDarkColor: "rgb(142, 142, 147)",
  textQuaternaryLightColor: "rgb(143, 144, 160)",
  textSecondaryDarkColor: "rgb(142, 142, 147)",
  textSecondaryDay: "rgb(104, 105, 127)",
  textSecondaryLightColor: "rgb(104, 105, 127)",
  textSecondaryNight: "rgb(178, 178, 191)",
  textSecondaryOnContrastDay: "rgb(142, 142, 147)",
  textSecondaryOnContrastNight: "rgb(142, 142, 147)",
  textSmFontSize: 14,
  textSmFontWeight: "400",
  textSmLetterSpacing: 0.154,
  textTertiaryDarkColor: "rgb(142, 142, 147)",
  textTertiaryLightColor: "rgb(143, 144, 160)",
  textXlFontSize: 24,
  textXlFontWeight: "400",
  textXlLetterSpacing: null,
  textXsFontSize: 12,
  textXsFontWeight: "400",
  textXsLetterSpacing: 0,
  textXxlFontSize: 30,
  textXxlFontWeight: "400",
  textXxlLetterSpacing: null,
  textXxxlFontSize: 36,
  textXxxlFontWeight: "400",
  textXxxlLetterSpacing: null,
  touchableOverlayColor: "rgb(17, 18, 54)",
  touchableOverlayOpacity: 0.15,
  underlayOpacity: 0.15
};